---
layout: page
title: Code of Conduct
redirect_from: "/coc/"
---

Last modified: July 18, 2016

#### Welcome to the TechMasters Community!

As part of the TechMasters community’s commitment to making the TechMasters Slack (the "Slack") a great place to meet and interact with other professionals around the world, you agree to abide by this Code of Conduct. Your commitment to this Code of Conduct in all chat areas, social media discussions, and other web properties associated with TechMasters helps create a positive experience for all the community’s users.

#### Respect Others

We encourage everyone to treat each other with mutual respect. Do not use the Slack to threaten, harass, stalk, or abuse others participating in these services.

TechMasters reserves the right to remove messages that advocate or encourage expressions of violence, bigotry, racism, hatred, or profanity.

TechMasters may remove messages and files that are deemed inappropriate, offensive or that violate this Code of Conduct. TechMasters may also eject or ban any user from the Slack who behaves in a manner deemed inappropriate, offensive or who violates this Code of Conduct.

#### Keep It Legal

TechMasters does not allow any illegal activities. You cannot use the Slack to publish, post, distribute, or disseminate defamatory, infringing, obscene, or other unlawful material or information, specifically, but not limited to, child pornography, bestiality, and incest. Also, you may not use the Slack for discussions relating to the trading or dissemination of illegal drugs.

You may not use the Slack for the purpose of linking to external sites that violate this Code of Conduct.

Do not upload files or post messages that contain photos, music, software or other material protected by intellectual property laws, rights of privacy or publicity or any other applicable law unless you own or control the rights thereto or have received all necessary consents. TechMasters is not responsible for any use of anything you say or post.

Do not post any materials (including software and other information) that could harm (or is designed to harm) other users' computers or would allow others to inappropriately access software or Web sites.

Do not attempt to abuse this Slack via any attempts at data mining or scraping. Requests for API access or the use of any tools, plugins, or scripts for the purposes of acquiring email addresses, names, usernames, or any other user information for export are strictly forbidden.

#### Play Nice

TechMasters does not tolerate disruptive activity online, such as persistent off-topic comments and postings or statements that incite others to violate this Code of Conduct or participate in illegal activities. Our Slack’s users want to chat and post in our Slack in a positive environment.

TechMasters does not allow the posting of destructive features, use of computer programs that contain such features, or access to any content that contains destructive features such as: viruses, worms, Trojan horses, or bots for the use of flooding channels with spam or other inappropriate material, showing multiple screens, and other activities that can be disruptive to online communication.

Falsely impersonating a TechMasters organizer, administrator, or any other person with the intent to mislead or cause harm to others is forbidden.

#### Don't Spam

Please don't "spam" through our Slack; none of our users like it. To spam includes sending identical and irrelevant submissions to many different channels or users through private messages. Usually such postings have nothing to do with the particular topic of a channel or are of no real interest to those in a given channel. To spam also includes misrepresenting the source of anything you say or post. Spamming and message flooding (the act of typing/pasting so much information in one channel as to require users to excessively scroll to a previously relevant discussion) in chat rooms are serious violations of online etiquette.

TechMasters reserves the right to ban a user at any time, without notice, from the Slack for spamming.

#### Recruit Invisibly and Respectfully

While we understand that a technology-based group might be an ideal recruiting pool, our goal with this group is to provide a safe-haven for the free-sharing of knowledge and ideas among technology professionals, so it is with that ideal that we encourage any potential recruiters to tread lightly. For the recruiters who join this slack, they should additionally keep the following conditions in mind:

* Do not private message other members unless (a) that other member has posted a job request in #jobs or #freelance, (b) that other member has reached out directly to the recruiter via a private message or a direct response in a channel, or (c) that other member has previously publicly stated that they welcome contact from recruiters and job posters.
* Do not retain membership here solely for the purpose of headhunting. You are expected to contribute to any relevant conversation. This will have the added benefit of providing you with presence and authority for whoever you may be representing and recruiting for.
* Under no circumstances are recruiters (or any user) allowed to datamine. Do not request API access or build or use any tools for the purposes of scraping names, email addresses, or any other user information.

#### Take It Personally

The Slack may be used to provide supplemental information regarding your own business (provided you do not use spam to provide this information); however, the Slack is not designed to be used as the primary mechanism for operating your business or providing core information about your business.

#### Accept Responsibility

You are responsible and liable for all your activities while participating in the Slack. Remember, you are responsible for anything you say or post and for protecting your own computer system. We recommend you install both an anti-virus solution and an anti-malware solution on your computer, and that you browse the web with a suitable ad-blocking extension.

Our Slack is not designed as the primary place to store any materials; you are responsible for creating backups of materials you post to to the Slack such as photos or documents. TechMasters is not responsible for loss of, access to, or deletion or alteration of any materials included on the Slack.

TechMasters reserves the right to remove at any time, without notice, any posting to the Slack.

Some users may post external website links on the Slack. Please be advised that TechMasters is not responsible for any of the content on these linked websites.

You are responsible for any actions you may take based on advice or information you receive online. Use your own good judgment when evaluating information provided through this Slack or any other such services, remember that the information provided could be from people at any age and experience level. The decision to conduct transactions with anyone is your own and you should conduct your own research prior to making any decisions.

#### Uphold the Code

In helping to make our Slack a great place to meet, chat and exchange information, you must do your part to uphold this Code of Conduct.

TechMasters also reserves our right to amend or change the Code of Conduct at any time without notice. You agree to periodically review this document to ensure you are doing your part.

TechMasters is not obligated to send users or hosts a warning before deleting any content.

#### Protect Your Privacy

We caution you against giving out personally identifiable information (such as social security numbers, credit card numbers, names and addresses, telephone numbers, driver license numbers) to strangers online, which may be used for illegal or harmful purposes.

Some personal information you provide to the Slack may be stored outside of the country in which you reside.

Be aware that some channels have a publicly-accessible and searchable record of all message activity at [http://techmasters.slackarchive.io](http://techmasters.slackarchive.io/). These channels are #business, #freelance, #general, #programming, and #technology. Therefore it is advisable to avoid sharing personally-identifiable information, or information you would not want available outside the confines of the Slack.

Slack provides the ability for you to protect your account with Two-Factor Authentication ("2FA"), which is a responsible step in protecting your privacy and preventing abuse of and impersonation with your account. You may enable 2FA at [https://techmasters.slack.com/account/settings](https://techmasters.slack.com/account/settings).

#### Contact Information

If you are being harassed, notice that someone else is being harassed, or have other concerns, such as observing that a member of the TechMasters community is violating any part of this Code of Conduct, please contact any of our administrators on our Slack immediately:

##### Administrators

* **Ahmad Nassri** - Contact [@ahmadnassri on Slack](https://techmasters.slack.com/messages/@ahmadnassri).
* **Andrew Moore** - Contact [@awmoore on Slack](https://techmasters.slack.com/messages/@awmoore) or [by email](http://www.google.com/recaptcha/mailhide/d?k=01a1e0Lq3Dpb2-lbWqjGcB5w==&c=jx3c5YpJM4u8FXIh0fmcE-OD2pxTbyMn0ES0KrcRlZk=).
* **Jasna Todorovic** - Contact [@jasna on Slack](https://techmasters.slack.com/messages/@jasna)
* View the rest of our Admins by navigating to the [Team page](https://techmasters.slack.com/team) and clicking "view admins" at the top.

Thanks for following this Code of Conduct and joining the TechMasters community!
